@import url("https://fonts.googleapis.com/css2?family=Forum&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Crimson+Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  height: 100vh;
}

body {
  height: 100%;
  background: #f1efe6;
}

.page-wrapper {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  flex-wrap: wrap;
}

/* ---------------------------------------------- */

.hero-container {
  display: flex;
  flex-direction: row; /* Horizontal layout: Image on left, links on right */
  align-items: center; /* Align items vertically in the center */
  gap: 5rem; /* Space between the image and links */
  width: 900px;
}

.hero-links-container {
  display: flex;
  flex-direction: column; /* Stack links vertically */
  justify-content: center;
  gap: 1rem; /* Space between each link */
}

.heading-link {
  text-decoration: none;
  text-transform: uppercase;
  font-size: 102px;
}

.heading-link,
.page-title,
.medium-text,
.heading-work-link {
  font-family: "Crimson Text", "sans-serif";
  color: #333;
}
.heading-link:hover {
  transform: translateX(10px); /* Move the link to the right on hover */
  font-style: italic; /* Italicize the link on hover */
}

.page-title {
  font-size: 130px;
}

.medium-text {
  font-size: 36px;
  padding: 15px;
}

.small-text-wrapper {
  padding: 30px;
  margin-top: 1rem;
  overflow: hidden;
  max-width: 330px;
}

h1,
.small-text,
.contact-button {
  font-family: "Forum", "sans-serif";
  font-size: 24px;
  font-weight: 400;
  padding: 15px;
  letter-spacing: 1.44px;
}

.small-text {
  font-size: 20px;
}

.contact-links:hover,
.heading-work-link:hover {
  text-decoration: line-through;
}

.image-wrapper {
  position: relative;
  flex-shrink: 0; /* Prevent image from shrinking */
}

/* ---------------------------------------- */

.sidebar-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  height: 100vh;
  background-color: #f1efe6;
}

.no-deco {
  text-decoration: none;
}

.sidebar-font {
  writing-mode: vertical-rl;
  text-orientation: mixed;
  transform: rotate(180deg);
  font-family: "Figtree";
  color: #333;
  text-transform: uppercase;
  padding: 20px;
  font-size: 15px;
}

.vertical-line {
  width: 1px;
  height: 150px; /* Adjust the height to fit your design */
  background-color: black; /* Color of the vertical line */
  margin: 0; /* Space between the line and the surrounding text */
  margin-left: 1.8rem;
}

.line-through:hover {
  text-decoration: line-through;
}
::selection {
  background-color: #333; /* Color of the highlighted background */
  color: #fff; /* Color of the text when highlighted */
}

.navbar-wrapper {
  display: none; /* Hide by default */
}

/* ---------------------MEDIA------------------------- */
@media (max-width: 1100px) {
  .hero-container {
    width: 700px;
  }

  .heading-link {
    font-size: 80px;
  }
}

@media (max-width: 900px) {
  /* Hide sidebar */
  .sidebar-wrapper {
    display: none;
  }

  /* Create a navbar */
  .navbar-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #f1efe6;
    padding: 10px 20px;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000; /* Make sure it stays on top */
  }

  .page-wrapper {
    padding-top: 60px; /* Add this to give space for the fixed navbar */
  }

  .navbar-link {
    font-family: "Figtree";
    color: #333;
    text-transform: uppercase;
    font-size: 15px;
    padding: 10px;
  }

  .vertical-line {
    display: none; /* Hide vertical line in navbar */
  }
}

@media (max-width: 750px) {
  .heading-link {
    font-size: 60px;
  }

  .hero-container img {
    width: 200px;
  }

  .hero-container {
    width: 500px;
  }
}

@media (max-width: 660px) {
  .heading-link {
    font-size: 40px;
    text-align: center;
  }

  .hero-container img {
    width: 150px;
  }

  .hero-container {
    max-width: 350px;
    flex-direction: column-reverse;
    gap: 2rem;
  }

  .small-home,
  h1 {
    font-size: 18px;
    text-align: center;
  }

  .small-text-wrapper {
    margin: auto;
  }
}
